summaryrefslogtreecommitdiff
path: root/app-editors
diff options
context:
space:
mode:
authorV3n3RiX <venerix@rogentos.ro>2016-09-25 14:04:22 +0100
committerV3n3RiX <venerix@rogentos.ro>2016-09-25 14:04:22 +0100
commitd0fd39c68f2fe0328de1d28f7392b8f20b111726 (patch)
tree0331cd09ca11768b305c6c3443a8b76ae2a52ec8 /app-editors
parentc6f9baea1a9187db8e11c81ff8e8fad33d961e12 (diff)
port featherpad, a lightweight Qt5 based text editor
Diffstat (limited to 'app-editors')
-rw-r--r--app-editors/featherpad/featherpad-0.5.7.ebuild31
1 files changed, 31 insertions, 0 deletions
diff --git a/app-editors/featherpad/featherpad-0.5.7.ebuild b/app-editors/featherpad/featherpad-0.5.7.ebuild
new file mode 100644
index 00000000..5beed73c
--- /dev/null
+++ b/app-editors/featherpad/featherpad-0.5.7.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /dev-util/notepadqq-9999.ebuild,v 0.1 frostwork $
+
+EAPI=5
+inherit eutils qmake-utils git-r3
+
+DESCRIPTION="Lightweight Qt5 Plain-Text Editor for Linux"
+EGIT_REPO_URI="https://github.com/tsujan/FeatherPad.git"
+EGIT_COMMIT="c7f62469af0222a3cedefbb39278e4f80077dcfb"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+RDEPEND="
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtsvg:5
+"
+DEPEND="${RDEPEND}"
+
+src_configure() {
+ eqmake5 PREFIX="${EPREFIX}/usr" fp.pro
+}
+
+src_install() {
+ make INSTALL_ROOT=${D} install || die
+}